TakenAt: 2021-10-13T19:34:56Z
TakenAtLocal: 2021-10-13T20:34:56Z
TakenSrc: meta
UID: pt67p989qcl3n6rx
Type: image
Title: Whitman Laboratories / Petersfield / 2021
TimeZone: Europe/London
PlaceSrc: meta
Lat: 51.00538459972222
Lng: -0.9518635999999999
Year: 2021
Month: 10
Day: 13
ISO: 320
Exposure: 1/50
FNumber: 2.2
FocalLength: 13
Quality: 4
Details:
  Keywords: bedford, england, laboratories, petersfield, pink, road, united-kingdom,
    whitman
  Software: G981BXXSADUH5
  SoftwareSrc: meta
CreatedAt: 2025-11-24T03:48:44Z
UpdatedAt: 2025-11-24T08:34:14Z
